Bug 1351575 - Review Request: rubygem-mime-types-data - A registry for information about MIME media type definitions
Summary: Review Request: rubygem-mime-types-data - A registry for information about MI...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-30 11:20 UTC by Vít Ondruch
Modified: 2016-07-07 08:47 UTC (History)
2 users (show)

Fixed In Version: rubygem-mime-types-data-3.2016.0521-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-07 08:47:22 UTC
Type: ---
jaruga: fedora-review+


Attachments (Terms of Use)

Description Vít Ondruch 2016-06-30 11:20:10 UTC
Spec URL: https://fedorapeople.org/cgit/vondruch/public_git/rubygem-mime-types-data.git/plain/rubygem-mime-types-data.spec?id=45e8fa01d01655533d5774aa702b7ec9c42854f0
SRPM URL: http://people.redhat.com/vondruch/rubygem-mime-types-data-3.2016.0521-1.fc25.src.rpm
Description: mime-types-data provides a registry for information about MIME media type
definitions. It can be used with the Ruby mime-types library or other software
to determine defined filename extensions for MIME types, or to use filename
extensions to look up the likely MIME type definitions.

Fedora Account System Username: vondruch

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=14713918

Comment 1 Jun Aruga 2016-06-30 12:24:04 UTC
I'll take a review!

Comment 2 Jun Aruga 2016-07-01 17:14:09 UTC
Hi,
I reviewed your files.


# The points that I would like to ask you, are 

1. Manifest.txt in "%files" section. Should it be moved to "%files doc" with "%doc"?

2. "filename" of the description. I got the warning from rpmlint, though I could understand you copied it from upstream README description. Should it be updated correctly?

>  rubygem-mime-types-data.noarch: W: spelling-error %description -l en_US filename -> file name, file-name, filament
>   **Warning for "filename" of the description.

Everything else is ok.



# The result of fedora-review tool

I just share the result of the tool.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 7 files have
     unknown license. Detailed output of licensecheck in /home/jaruga/git
     /fedora-packages/review/1351575-rubygem-mime-types-
     data/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: When checking ruby code, install the ruby plugin.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-mime-types-data-3.2016.0521-1.fc25.noarch.rpm
          rubygem-mime-types-data-doc-3.2016.0521-1.fc25.noarch.rpm
          rubygem-mime-types-data-3.2016.0521-1.fc25.src.rpm
rubygem-mime-types-data.noarch: W: spelling-error %description -l en_US filename -> file name, file-name, filament
rubygem-mime-types-data.noarch: W: no-documentation
rubygem-mime-types-data.src: W: spelling-error %description -l en_US filename -> file name, file-name, filament
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
rubygem-mime-types-data (rpmlib, GLIBC filtered):
    ruby(rubygems)

rubygem-mime-types-data-doc (rpmlib, GLIBC filtered):
    rubygem-mime-types-data



Provides
--------
rubygem-mime-types-data:
    rubygem(mime-types-data)
    rubygem-mime-types-data

rubygem-mime-types-data-doc:
    rubygem-mime-types-data-doc



Source checksums
----------------
https://rubygems.org/gems/mime-types-data-3.2016.0521.gem :
  CHECKSUM(SHA256) this package     : 7542bccff06d70c4ad94d1cf10b7dac6bd89958356e5d0d7f6447168c819be12
  CHECKSUM(SHA256) upstream package : 7542bccff06d70c4ad94d1cf10b7dac6bd89958356e5d0d7f6447168c819be12


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1351575
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Vít Ondruch 2016-07-04 13:23:01 UTC
(In reply to Jun Aruga from comment #2)
> 1. Manifest.txt in "%files" section. Should it be moved to "%files doc" with
> "%doc"?

Ah, right. Missed that:

https://fedorapeople.org/cgit/vondruch/public_git/rubygem-mime-types-data.git/commit/?id=e4c1b6b15cc53ceafb69bee4061cf75943dd051c

I hope you don't mind I am not going to update the SRPM etc, since this is just minor nit.

> 2. "filename" of the description. I got the warning from rpmlint, though I
> could understand you copied it from upstream README description. Should it
> be updated correctly?
> 
> >  rubygem-mime-types-data.noarch: W: spelling-error %description -l en_US filename -> file name, file-name, filament
> >   **Warning for "filename" of the description.

This just missing from the dictionary, but I'd say that "filename" word is widely accepted these days, so I don't consider this worth of any action.

Comment 4 Jun Aruga 2016-07-04 13:30:32 UTC
Hi, I understand and checked your comments for 1. and 2. . No problem.
Please go a head.

Comment 5 Vít Ondruch 2016-07-04 14:22:59 UTC
(In reply to Jun Aruga from comment #4)
> Hi, I understand and checked your comments for 1. and 2. . No problem.
> Please go a head.

You should change the "fedora-review" flag to "+" if you approved ... btw you should also change the state of the ticket to "assigned" and assign it to yoursefl, when you claiming the package for the review.

Comment 6 Jun Aruga 2016-07-04 14:24:57 UTC
(In reply to Vít Ondruch from comment #5)
> (In reply to Jun Aruga from comment #4)
> > Hi, I understand and checked your comments for 1. and 2. . No problem.
> > Please go a head.
> 
> You should change the "fedora-review" flag to "+" if you approved ... btw
> you should also change the state of the ticket to "assigned" and assign it
> to yoursefl, when you claiming the package for the review.

Okay, I APPROVED it!

Comment 7 Gwyn Ciesla 2016-07-05 16:19:06 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-mime-types-data


Note You need to log in before you can comment on or make changes to this bug.